Skip to main content
GET
/
v2
/
detailed-vaults
cURL
curl --request GET \
  --url https://api.vaults.fyi/v2/detailed-vaults \
  --header 'x-api-key: <api-key>'
{
  "itemsOnPage": 123,
  "data": [
    {
      "address": "<string>",
      "network": {
        "name": "mainnet",
        "chainId": 123,
        "networkCaip": "<string>"
      },
      "asset": {
        "address": "<string>",
        "assetCaip": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "assetGroup": "<string>",
        "assetLogo": "<string>",
        "assetPriceInUsd": "<string>"
      },
      "isTransactional": true,
      "isAppFeatured": true,
      "name": "<string>",
      "protocol": {
        "name": "<string>",
        "product": "<string>",
        "version": "<string>",
        "protocolUrl": "<string>",
        "description": "<string>",
        "protocolLogo": "<string>"
      },
      "tags": [
        "<string>"
      ],
      "holdersData": {
        "totalCount": 123,
        "totalBalance": "<string>",
        "topHolders": [
          {
            "address": "<string>",
            "lpTokenBalance": "<string>"
          }
        ]
      },
      "apy": {
        "1day": {
          "base": 123,
          "reward": 123,
          "total": 123
        },
        "7day": {
          "base": 123,
          "reward": 123,
          "total": 123
        },
        "30day": {
          "base": 123,
          "reward": 123,
          "total": 123
        },
        "1hour": {
          "base": 123,
          "reward": 123,
          "total": 123
        }
      },
      "tvl": {
        "usd": "<string>",
        "native": "<string>"
      },
      "lastUpdateTimestamp": 123,
      "rewards": [
        {
          "asset": {
            "address": "<string>",
            "assetCaip": "<string>",
            "name": "<string>",
            "symbol": "<string>",
            "decimals": 123,
            "assetGroup": "<string>",
            "assetLogo": "<string>",
            "assetPriceInUsd": "<string>"
          },
          "apy": {
            "1hour": 123,
            "1day": 123,
            "7day": 123,
            "30day": 123
          }
        }
      ],
      "isCorrupted": true,
      "userEventsIndexed": true,
      "warnings": [
        "<string>"
      ],
      "flags": [
        {
          "content": "<string>",
          "severity": "info",
          "endDate": 123
        }
      ],
      "lendUrl": "<string>",
      "description": "<string>",
      "protocolVaultUrl": "<string>",
      "score": {
        "vaultScore": 123,
        "vaultTvlScore": 123,
        "protocolTvlScore": 123,
        "holderScore": 123,
        "networkScore": 123,
        "assetScore": 123
      },
      "additionalIncentives": "<string>",
      "curator": {
        "name": "<string>",
        "description": "<string>",
        "websiteUrl": "<string>"
      },
      "lpToken": {
        "address": "<string>",
        "tokenCaip": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123
      },
      "remainingCapacity": "<string>",
      "maxCapacity": "<string>",
      "childrenVaults": [
        {
          "address": "<string>",
          "asset": {
            "address": "<string>",
            "assetCaip": "<string>",
            "name": "<string>",
            "symbol": "<string>",
            "decimals": 123,
            "assetGroup": "<string>",
            "assetLogo": "<string>",
            "assetPriceInUsd": "<string>"
          },
          "lpToken": {
            "address": "<string>",
            "tokenCaip": "<string>",
            "name": "<string>",
            "symbol": "<string>",
            "decimals": 123
          },
          "additionalAssets": [
            {
              "address": "<string>",
              "assetCaip": "<string>",
              "name": "<string>",
              "symbol": "<string>",
              "decimals": 123,
              "assetGroup": "<string>",
              "assetLogo": "<string>",
              "assetPriceInUsd": "<string>"
            }
          ]
        }
      ],
      "additionalAssets": [
        {
          "address": "<string>",
          "assetCaip": "<string>",
          "name": "<string>",
          "symbol": "<string>",
          "decimals": 123,
          "assetGroup": "<string>",
          "assetLogo": "<string>",
          "assetPriceInUsd": "<string>"
        }
      ],
      "transactionalProperties": {
        "depositStepsType": "instant",
        "redeemStepsType": "instant",
        "rewardsSupported": true
      },
      "fees": {
        "performanceFee": 123,
        "managementFee": 123,
        "withdrawalFee": 123,
        "depositFee": 123
      },
      "apyComposite": {
        "totalApy": {
          "1day": {
            "base": 123,
            "reward": 123,
            "total": 123
          },
          "7day": {
            "base": 123,
            "reward": 123,
            "total": 123
          },
          "30day": {
            "base": 123,
            "reward": 123,
            "total": 123
          },
          "1hour": {
            "base": 123,
            "reward": 123,
            "total": 123
          }
        },
        "intrinsicApy": {
          "1day": {
            "base": 123,
            "reward": 123,
            "total": 123
          },
          "7day": {
            "base": 123,
            "reward": 123,
            "total": 123
          },
          "30day": {
            "base": 123,
            "reward": 123,
            "total": 123
          },
          "1hour": {
            "base": 123,
            "reward": 123,
            "total": 123
          }
        },
        "asset": {
          "address": "<string>",
          "assetCaip": "<string>",
          "name": "<string>",
          "symbol": "<string>",
          "decimals": 123,
          "assetGroup": "<string>",
          "assetLogo": "<string>",
          "assetPriceInUsd": "<string>"
        },
        "vault": {
          "address": "<string>"
        }
      }
    }
  ],
  "errors": {
    "unsupportedNetworks": [
      "<string>"
    ],
    "unsupportedAssets": [
      "<string>"
    ],
    "unsupportedProtocols": [
      "<string>"
    ]
  },
  "nextPage": 123
}

Authorizations

x-api-key
string
header
required

Query Parameters

page
integer
default:0

Page number (starting from 0)

Required range: x >= 0
perPage
integer
default:50

Number of items per page

Required range: 0 < x <= 5000
allowedAssets
string[]

Assets to be included by symbol(ticker).

Minimum string length: 1
disallowedAssets
string[]

Assets to be excluded by symbol(ticker). The parameter is ignored if "allowedAssets" is specified.

Minimum string length: 1
allowedProtocols
string[]

Protocols to be included by name.

Minimum string length: 1
disallowedProtocols
string[]

Protocols to be excluded by name. The parameter is ignored if "allowedProtocols" is specified.

Minimum string length: 1
minTvl
integer
default:100000

Minimum TVL in USD of the vaults to be included

minVaultScore
number

Minimum vault score required for a vault to be included

Required range: x >= 0
onlyTransactional
boolean

Include only vaults that are supported in the transactional interface.

Include only vaults that are featured in app.vaults.fyi

allowCorrupted
boolean
default:false

Allow inclusion of corrupted vaults.

allowVaultsWithWarnings
boolean

Whether to include vaults with warnings. Defaults to true.

allowedNetworks
enum<string>[]

Networks to be included (name or CAIP).

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
disallowedNetworks
enum<string>[]

Networks to be excluded (name or CAIP). The parameter is ignored if "allowedNetworks" is specified.

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
maxTvl
integer

Maximum TVL in USD of the vaults to be included

maxApy
number

Maximum APY (in decimal) of the vaults to be included

minApy
number

Minimum APY (in decimal) of the vaults to be included

tags
string[]

Tags to be included.

Minimum string length: 1
curators
string[]

Curators to be included.

Minimum string length: 1
sortOrder
enum<string>
default:asc

Sort order, either asc or desc. Ascending is default.

Available options:
asc,
desc
sortBy
enum<string>

Field to sort by

Available options:
tvl,
apy1day,
apy7day,
apy30day

Response

Default Response

itemsOnPage
integer
required

Number of items on the current page

data
object[]
required
errors
object
required
nextPage
integer

Next page number